Package org.apache.commons.lang.exception

## Class CloneFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.lang.exception.NestableRuntimeException
        - - org.apache.commons.lang.exception.CloneFailedException

- All Implemented Interfaces:
    `Serializable`, `Nestable`

      public class CloneFailedException
      extends NestableRuntimeException

  Exception thrown when a clone cannot be created. In contrast to `CloneNotSupportedException` this is a `RuntimeException`.
  Since:
    2.6
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CloneFailedException​(String message)` | Constructs a CloneFailedException.
    `CloneFailedException​(String message, Throwable cause)` | Constructs a CloneFailedException.
    `CloneFailedException​(Throwable cause)` | Constructs a CloneFailedException.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException

      `getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CloneFailedException

          public CloneFailedException​(String message)

      Constructs a CloneFailedException.
      Parameters:
        `message` - description of the exception
      Since:
        upcoming

    - #### CloneFailedException

          public CloneFailedException​(Throwable cause)

      Constructs a CloneFailedException.
      Parameters:
        `cause` - cause of the exception
      Since:
        upcoming

    - #### CloneFailedException

          public CloneFailedException​(String message,
                                      Throwable cause)

      Constructs a CloneFailedException.
      Parameters:
        `message` - description of the exception
        `cause` - cause of the exception
      Since:
        upcoming